Page MenuHomePhabricator

Add textcat to mediawiki vendor libs
Closed, ResolvedPublic

Description

In order to use textcat for language detection, we need to add Textcat library to Mediawiki vendor repo. The process is described here: https://www.mediawiki.org/wiki/Manual:External_libraries

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
ResolvedEBernhardson
Declinedmpopov
ResolvedEBernhardson
Resolvedmpopov
ResolvedEBernhardson
Resolveddebt
OpenNone
ResolvedEBernhardson
ResolvedEBernhardson
ResolvedEBernhardson
Resolveddebt
ResolvedTJones
ResolvedTJones
ResolvedTJones
ResolvedTJones
ResolvedTJones
Resolveddebt
ResolvedAnikethfoss
ResolvedTJones
Resolveddebt
ResolvedSmalyshev
ResolvedTJones
ResolvedTJones
Resolved dpatrick
ResolvedEBernhardson

Event Timeline

Smalyshev raised the priority of this task from to Medium.
Smalyshev updated the task description. (Show Details)
Smalyshev added a project: Discovery.
Smalyshev added a subscriber: Smalyshev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2016, 11:12 PM
Smalyshev moved this task from Needs triage to Search on the Discovery board.Jan 27 2016, 7:12 AM
Deskana set Security to None.
Deskana added a subscriber: Deskana.

Given that both the task that this blocks and the task that this is blocked by are in Discovery-Search (Current work), I think this one probably should be as well. :-)

Deskana moved this task from Search to On Sprint Board on the Discovery board.Jan 28 2016, 5:48 PM

Change 268028 had a related patch set uploaded (by EBernhardson):
Add wikimedia/textcat to vendor repository

https://gerrit.wikimedia.org/r/268028

@Smalyshev one thing i noticed while setting this up is that we are pulling from the github repo. Should we adjust the packagist configuration such that it pulls from gerrit? This change would be inline with the security review.

I think all wikimedia libs go through github there?

bd808 added a subscriber: bd808.Feb 3 2016, 1:30 AM

I think all wikimedia libs go through github there?

We have not attempted to use a private package repo for anything in mediawiki/vendor.git up to this point. It should be technically possible, but the current process of manual gerrit review for changes to the repo has been sufficient.

Thanks @bd808, that's what I thought.

Change 268028 merged by jenkins-bot:
Add wikimedia/textcat to vendor repository

https://gerrit.wikimedia.org/r/268028

Smalyshev closed this task as Resolved.Feb 9 2016, 11:12 PM